--- old/usr/src/uts/intel/io/acpica/osl_ml.s	Thu Nov 14 19:00:28 2019
+++ new/usr/src/uts/intel/io/acpica/osl_ml.s	Thu Nov 14 19:00:28 2019
@@ -23,14 +23,13 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #include <sys/asm_linkage.h>
 #include <sys/asm_misc.h>
 
-#if defined(lint) || defined(__lint)
-#include <sys/types.h>
-#include "acpi.h"
-#endif	/* lint */
-
 /*
  * Implementation as specific by ACPI 3.0 specification
  * section 5.2.10.1
@@ -54,16 +53,6 @@
 /* Offset of GlobalLock element in FACS structure */
 #define	GlobalLock	0x10
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-UINT32
-__acpi_acquire_global_lock(void *Facs)
-{ return (0); }
-
-#else	/* lint */
-
-#if defined(__amd64)
 	ENTRY(__acpi_acquire_global_lock)
 	movq	$0xff, %rax		/ error return if FACS is null
 	orq	%rdi, %rdi		/ %rdi contains pointer to FACS
@@ -84,44 +73,7 @@
 	ret
 	SET_SIZE(__acpi_acquire_global_lock)
 
-#elif defined(__i386)
 
-	ENTRY(__acpi_acquire_global_lock)
-	movl	$0xff, %eax		/ error return if FACS is null
-	movl	4(%esp), %ecx		/ %ecx contains pointer to FACS
-	orl	%ecx, %ecx
-	jz	1f
-	leal	GlobalLock(%ecx), %ecx	/ make %ecx point at the lock
-0:
-	movl	(%ecx), %eax
-	movl	%eax, %edx
-	andl	$0xFFFFFFFE, %edx
-	btsl	$1, %edx
-	adcl	$0, %edx
-	lock
-	cmpxchgl %edx, (%ecx)
-	jnz	0b
-	cmpb	$3, %dl
-	sbbl	%eax, %eax
-1:
-	ret
-	SET_SIZE(__acpi_acquire_global_lock)
-
-#endif	/* i386 */
-
-#endif	/* lint */
-
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-UINT32
-__acpi_release_global_lock(void *Facs)
-{ return (0); }
-
-#else	/* lint */
-
-#if defined(__amd64)
 	ENTRY(__acpi_release_global_lock)
 	xorq	%rax, %rax	/ error return if FACS is null
 	orq	%rdi, %rdi	/ %rdi contains pointer to FACS
@@ -139,48 +91,13 @@
 	ret
 	SET_SIZE(__acpi_release_global_lock)
 
-#elif defined(__i386)
 
-	ENTRY(__acpi_release_global_lock)
-	xorl	%eax, %eax		/ error return if FACS is null
-	movl	4(%esp), %ecx		/ %ecx contains pointer to FACS
-	orl	%ecx, %ecx
-	jz	1f
-	leal	GlobalLock(%ecx), %ecx	/ make %ecx point at the lock
-0:
-	movl	(%ecx), %eax
-	movl	%eax, %edx
-	andl	$0xFFFFFFFC, %edx
-	lock
-	cmpxchgl %edx, (%ecx)
-	jnz	0b
-	andl	$1, %eax
-1:
-	ret
-	SET_SIZE(__acpi_release_global_lock)
-
-#endif	/* i386 */
-
-#endif	/* lint */
-
-
 /*
  * execute WBINVD instruction
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-__acpi_wbinvd(void)
-{ }
-
-#else	/* lint */
-
 	ENTRY(__acpi_wbinvd)
 	wbinvd
 	ret
 	SET_SIZE(__acpi_wbinvd)
-
-#endif	/* lint */
 
--- old/usr/src/uts/intel/kdi/kdi_asm.s	Thu Nov 14 19:00:28 2019
+++ new/usr/src/uts/intel/kdi/kdi_asm.s	Thu Nov 14 19:00:28 2019
@@ -31,10 +31,6 @@
  * the IDT stubs that drop into here (mainly via kdi_cmnint).
  */
 
-#if defined(__lint)
-#include <sys/types.h>
-#else
-
 #include <sys/segments.h>
 #include <sys/asm_linkage.h>
 #include <sys/controlregs.h>
@@ -716,4 +712,3 @@
 	SETDREG(kdi_setdr6, %dr6)
 	SETDREG(kdi_setdr7, %dr7)
 
-#endif /* !__lint */
--- old/usr/src/uts/intel/kdi/kdi_idthdl.s	Thu Nov 14 19:00:28 2019
+++ new/usr/src/uts/intel/kdi/kdi_idthdl.s	Thu Nov 14 19:00:28 2019
@@ -33,10 +33,6 @@
  * different number.
  */
 
-#if defined(__lint)
-#include <sys/types.h>
-#else
-
 #include <sys/asm_linkage.h>
 #include <sys/asm_misc.h>
 #include <sys/machprivregs.h>
@@ -325,4 +321,3 @@
 	nop
 #endif
 
-#endif /* !__lint */
--- old/usr/src/uts/sfmmu/ml/sfmmu_asm.s	Thu Nov 14 19:00:29 2019
+++ new/usr/src/uts/sfmmu/ml/sfmmu_asm.s	Thu Nov 14 19:00:29 2019
@@ -29,11 +29,7 @@
  * routines.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/machtrap.h>
@@ -67,8 +63,6 @@
 
 #endif /* TRAPTRACE */
 
-#ifndef	lint
-
 #if (TTE_SUSPEND_SHIFT > 0)
 #define	TTE_SUSPEND_INT_SHIFT(reg)				\
 	sllx	reg, TTE_SUSPEND_SHIFT, reg
@@ -76,10 +70,6 @@
 #define	TTE_SUSPEND_INT_SHIFT(reg)
 #endif
 
-#endif /* lint */
-
-#ifndef	lint
-
 /*
  * Assumes TSBE_TAG is 0
  * Assumes TSBE_INTHI is 0
@@ -470,62 +460,7 @@
 	nop				/* for perf reasons */		;\
 	or	tmp, dest, dest		/* contents of patched value */
 
-#endif /* lint */
 
-
-#if defined (lint)
-
-/*
- * sfmmu related subroutines
- */
-uint_t
-sfmmu_disable_intrs()
-{ return(0); }
-
-/* ARGSUSED */
-void
-sfmmu_enable_intrs(uint_t pstate_save)
-{}
-
-/* ARGSUSED */
-int
-sfmmu_alloc_ctx(sfmmu_t *sfmmup, int allocflag, struct cpu *cp, int shflag)
-{ return(0); }
-
-/*
- * Use cas, if tte has changed underneath us then reread and try again.
- * In the case of a retry, it will update sttep with the new original.
- */
-/* ARGSUSED */
-int
-sfmmu_modifytte(tte_t *sttep, tte_t *stmodttep, tte_t *dttep)
-{ return(0); }
-
-/*
- * Use cas, if tte has changed underneath us then return 1, else return 0
- */
-/* ARGSUSED */
-int
-sfmmu_modifytte_try(tte_t *sttep, tte_t *stmodttep, tte_t *dttep)
-{ return(0); }
-
-/* ARGSUSED */
-void
-sfmmu_copytte(tte_t *sttep, tte_t *dttep)
-{}
-
-/*ARGSUSED*/
-struct tsbe *
-sfmmu_get_tsbe(uint64_t tsbeptr, caddr_t vaddr, int vpshift, int tsb_szc)
-{ return(0); }
-
-/*ARGSUSED*/
-uint64_t
-sfmmu_make_tsbtag(caddr_t va)
-{ return(0); }
-
-#else	/* lint */
-
 	.seg	".data"
 	.global	sfmmu_panic1
 sfmmu_panic1:
@@ -931,60 +866,11 @@
 	srln	%o0, TTARGET_VA_SHIFT, %o0
 	SET_SIZE(sfmmu_make_tsbtag)
 
-#endif /* lint */
-
 /*
  * Other sfmmu primitives
  */
 
 
-#if defined (lint)
-void
-sfmmu_patch_ktsb(void)
-{
-}
-
-void
-sfmmu_kpm_patch_tlbm(void)
-{
-}
-
-void
-sfmmu_kpm_patch_tsbm(void)
-{
-}
-
-void
-sfmmu_patch_shctx(void)
-{
-}
-
-/* ARGSUSED */
-void
-sfmmu_load_tsbe(struct tsbe *tsbep, uint64_t vaddr, tte_t *ttep, int phys)
-{
-}
-
-/* ARGSUSED */
-void
-sfmmu_unload_tsbe(struct tsbe *tsbep, uint64_t vaddr, int phys)
-{
-}
-
-/* ARGSUSED */
-void
-sfmmu_kpm_load_tsb(caddr_t addr, tte_t *ttep, int vpshift)
-{
-}
-
-/* ARGSUSED */
-void
-sfmmu_kpm_unload_tsb(caddr_t addr, int vpshift)
-{
-}
-
-#else /* lint */
-
 #define	I_SIZE		4
 
 	ENTRY_NP(sfmmu_fix_ktlb_traptable)
@@ -1562,18 +1448,7 @@
 	  membar	#StoreStore|#StoreLoad
 	SET_SIZE(sfmmu_kpm_unload_tsb)
 
-#endif /* lint */
 
-
-#if defined (lint)
-
-/*ARGSUSED*/
-pfn_t
-sfmmu_ttetopfn(tte_t *tte, caddr_t vaddr)
-{ return(0); }
-
-#else /* lint */
-
 	ENTRY_NP(sfmmu_ttetopfn)
 	ldx	[%o0], %g1			/* read tte */
 	TTETOPFN(%g1, %o1, sfmmu_ttetopfn_l1, %g2, %g3, %g4)
@@ -1584,8 +1459,6 @@
 	mov	%g1, %o0
 	SET_SIZE(sfmmu_ttetopfn)
 
-#endif /* !lint */
-
 /*
  * These macros are used to update global sfmmu hme hash statistics
  * in perf critical paths. It is only enabled in debug kernels or
@@ -1681,36 +1554,6 @@
 #define	KPM_TLBMISS_STAT_INCR(tagacc, val, tsbma, tmp1, label)
 #endif	/* KPM_TLBMISS_STATS_GATHER */
 
-#if defined (lint)
-/*
- * The following routines are jumped to from the mmu trap handlers to do
- * the setting up to call systrap.  They are separate routines instead of
- * being part of the handlers because the handlers would exceed 32
- * instructions and since this is part of the slow path the jump
- * cost is irrelevant.
- */
-void
-sfmmu_pagefault(void)
-{
-}
-
-void
-sfmmu_mmu_trap(void)
-{
-}
-
-void
-sfmmu_window_trap(void)
-{
-}
-
-void
-sfmmu_kpm_exception(void)
-{
-}
-
-#else /* lint */
-
 #ifdef	PTL1_PANIC_DEBUG
 	.seg	".data"
 	.global	test_ptl1_panic
@@ -1960,27 +1803,6 @@
 	mov	-1, %g4
 	SET_SIZE(sfmmu_kpm_exception)
 
-#endif /* lint */
-
-#if defined (lint)
-
-void
-sfmmu_tsb_miss(void)
-{
-}
-
-void
-sfmmu_kpm_dtsb_miss(void)
-{
-}
-
-void
-sfmmu_kpm_dtsb_miss_small(void)
-{
-}
-
-#else /* lint */
-
 #if (IMAP_SEG != 0)
 #error - ism_map->ism_seg offset is not zero
 #endif
@@ -3871,30 +3693,7 @@
 	ba,pt	%icc, sfmmu_window_trap
 	  nop
 	SET_SIZE(sfmmu_tsb_miss)
-#endif  /* lint */
 
-#if defined (lint)
-/*
- * This routine will look for a user or kernel vaddr in the hash
- * structure.  It returns a valid pfn or PFN_INVALID.  It doesn't
- * grab any locks.  It should only be used by other sfmmu routines.
- */
-/* ARGSUSED */
-pfn_t
-sfmmu_vatopfn(caddr_t vaddr, sfmmu_t *sfmmup, tte_t *ttep)
-{
-	return(0);
-}
-
-/* ARGSUSED */
-pfn_t
-sfmmu_kvaszc2pfn(caddr_t vaddr, int hashno)
-{
-	return(0);
-}
-
-#else /* lint */
-
 	ENTRY_NP(sfmmu_vatopfn)
  	/*
  	 * disable interrupts
@@ -4113,12 +3912,8 @@
 
 	SET_SIZE(sfmmu_kvaszc2pfn)
 
-#endif /* lint */
 
 
-
-#if !defined(lint)
-
 /*
  * kpm lock used between trap level tsbmiss handler and kpm C level.
  */
@@ -4663,36 +4458,6 @@
 #error - KPMTSBM_SHIFT does not correspond to size of kpmtsbm struct
 #endif
 
-#endif /* lint */
-
-#ifdef	lint
-/*
- * Enable/disable tsbmiss handling at trap level for a kpm (large) page.
- * Called from C-level, sets/clears "go" indication for trap level handler.
- * khl_lock is a low level spin lock to protect the kp_tsbmtl field.
- * Assumed that &kp->kp_refcntc is checked for zero or -1 at C-level.
- * Assumes khl_mutex is held when called from C-level.
- */
-/* ARGSUSED */
-void
-sfmmu_kpm_tsbmtl(short *kp_refcntc, uint_t *khl_lock, int cmd)
-{
-}
-
-/*
- * kpm_smallpages: stores val to byte at address mapped within
- * low level lock brackets. The old value is returned.
- * Called from C-level.
- */
-/* ARGSUSED */
-int
-sfmmu_kpm_stsbmtl(uchar_t *mapped, uint_t *kshl_lock, int val)
-{
-	return (0);
-}
-
-#else /* lint */
-
 	.seg	".data"
 sfmmu_kpm_tsbmtl_panic:
 	.ascii	"sfmmu_kpm_tsbmtl: interrupts disabled"
@@ -4769,9 +4534,6 @@
 	  wrpr	%g0, %o3, %pstate		/* enable interrupts */
 	SET_SIZE(sfmmu_kpm_stsbmtl)
 
-#endif /* lint */
-
-#ifndef lint
 #ifdef sun4v
 	/*
 	 * User/kernel data miss w// multiple TSBs
@@ -4853,10 +4615,7 @@
 	SET_SIZE(sfmmu_slow_immu_miss)
 
 #endif /* sun4v */
-#endif	/* lint */
 
-#ifndef lint
-
 /*
  * Per-CPU tsbmiss areas to avoid cache misses in TSB miss handlers.
  */
@@ -4870,4 +4629,3 @@
 	.global kpmtsbm_area
 kpmtsbm_area:
 	.skip	(KPMTSBM_SIZE * NCPU)
-#endif	/* lint */
--- old/usr/src/uts/sfmmu/ml/sfmmu_kdi.s	Thu Nov 14 19:00:29 2019
+++ new/usr/src/uts/sfmmu/ml/sfmmu_kdi.s	Thu Nov 14 19:00:29 2019
@@ -24,10 +24,8 @@
  * Use is subject to license terms.
  */
 
-#if !defined(lint)
 #include <sys/asm_linkage.h>
 #include "assym.h"
-#endif
 
 #include <sys/sun4asi.h>
 #include <sys/machparam.h>
@@ -250,21 +248,6 @@
  * }
  */
 
-#if defined(lint)
-/*ARGSUSED*/
-int
-kdi_vatotte(uintptr_t va, int cnum, tte_t *ttep)
-{
-	return (0);
-}
-
-void
-kdi_trap_vatotte(void)
-{
-}
-
-#else
-
 	/*
 	 * Invocation in normal context as a VA-to-TTE translator
 	 * for kernel context only. This routine returns 0 on
@@ -343,4 +326,3 @@
 	nop
 	SET_SIZE(kdi_trap_vatotte)
 
-#endif	/* lint */
--- old/usr/src/uts/sparc/dtrace/dtrace_asm.s	Thu Nov 14 19:00:30 2019
+++ new/usr/src/uts/sparc/dtrace/dtrace_asm.s	Thu Nov 14 19:00:30 2019
@@ -23,72 +23,27 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint) || defined(__lint)
-#include <sys/dtrace_impl.h>
-#else
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
 #include <sys/fsr.h>
 #include <sys/asi.h>
 #include "assym.h"
-#endif
 
-#if defined(lint) || defined(__lint)
-
-int
-dtrace_getipl(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getipl)
 	retl
 	rdpr	%pil, %o0
 	SET_SIZE(dtrace_getipl)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-uint_t
-dtrace_getotherwin(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getotherwin)
 	retl
 	rdpr	%otherwin, %o0
 	SET_SIZE(dtrace_getotherwin)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-uint_t
-dtrace_getfprs(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getfprs)
 	retl
 	rd	%fprs, %o0
 	SET_SIZE(dtrace_getfprs)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-dtrace_getfsr(uint64_t *val)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getfsr)
 	rdpr	%pstate, %o1
 	andcc	%o1, PSTATE_PEF, %g0
@@ -105,31 +60,11 @@
 	stx	%g0, [%o0]
 	SET_SIZE(dtrace_getfsr)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-greg_t
-dtrace_getfp(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getfp)
 	retl
 	mov	%fp, %o0
 	SET_SIZE(dtrace_getfp)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-void
-dtrace_flush_user_windows(void)
-{}
-
-#else
-
 	ENTRY_NP(dtrace_flush_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f
@@ -148,32 +83,6 @@
 	nop
 	SET_SIZE(dtrace_flush_user_windows)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-uint32_t
-dtrace_cas32(uint32_t *target, uint32_t cmp, uint32_t new)
-{
-	uint32_t old;
-
-	if ((old = *target) == cmp)
-		*target = new;
-	return (old);
-}
-
-void *
-dtrace_casptr(void *target, void *cmp, void *new)
-{
-	void *old;
-
-	if ((old = *(void **)target) == cmp)
-		*(void **)target = new;
-	return (old);
-}
-
-#else	/* lint */
-
 	ENTRY(dtrace_cas32)
 	cas	[%o0], %o1, %o2
 	retl
@@ -186,19 +95,6 @@
 	mov	%o2, %o0
 	SET_SIZE(dtrace_casptr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uintptr_t
-dtrace_caller(int aframes)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 	ENTRY(dtrace_caller)
 	sethi	%hi(nwin_minus_one), %g4
 	ld	[%g4 + %lo(nwin_minus_one)], %g4
@@ -233,19 +129,6 @@
 	mov	-1, %o0
 	SET_SIZE(dtrace_caller)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-dtrace_fish(int aframes, int reg, uintptr_t *regval)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 	ENTRY(dtrace_fish)
 
 	rd	%pc, %g5
@@ -311,18 +194,6 @@
 	add	%g2, 1, %o0		! Failure; return deepest frame + 1
 	SET_SIZE(dtrace_fish)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-dtrace_copyin(uintptr_t uaddr, uintptr_t kaddr, size_t size,
-    volatile uint16_t *flags)
-{}
-
-#else
-
 	ENTRY(dtrace_copyin)
 	tst	%o2
 	bz	2f
@@ -348,18 +219,6 @@
 
 	SET_SIZE(dtrace_copyin)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-dtrace_copyinstr(uintptr_t uaddr, uintptr_t kaddr, size_t size,
-    volatile  uint16_t *flags)
-{}
-
-#else
-
 	ENTRY(dtrace_copyinstr)
 	tst	%o2
 	bz	2f
@@ -388,18 +247,6 @@
 
 	SET_SIZE(dtrace_copyinstr)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-dtrace_copyout(uintptr_t kaddr, uintptr_t uaddr, size_t size,
-    volatile  uint16_t *flags)
-{}
-
-#else
-
 	ENTRY(dtrace_copyout)
 	tst	%o2
 	bz	2f
@@ -424,18 +271,6 @@
 	nop
 	SET_SIZE(dtrace_copyout)
 
-#endif
-	
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-dtrace_copyoutstr(uintptr_t kaddr, uintptr_t uaddr, size_t size,
-    volatile  uint16_t *flags)
-{}
-
-#else
-
 	ENTRY(dtrace_copyoutstr)
 	tst	%o2
 	bz	2f
@@ -463,17 +298,6 @@
 	nop
 	SET_SIZE(dtrace_copyoutstr)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uintptr_t
-dtrace_fulword(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fulword)
 	clr	%o1
 	ldna	[%o0]ASI_USER, %o1
@@ -481,17 +305,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fulword)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uint8_t
-dtrace_fuword8(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fuword8)
 	clr	%o1
 	lduba	[%o0]ASI_USER, %o1
@@ -499,17 +312,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fuword8)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uint16_t
-dtrace_fuword16(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fuword16)
 	clr	%o1
 	lduha	[%o0]ASI_USER, %o1
@@ -517,17 +319,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fuword16)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uint32_t
-dtrace_fuword32(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fuword32)
 	clr	%o1
 	lda	[%o0]ASI_USER, %o1
@@ -535,17 +326,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fuword32)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uint64_t
-dtrace_fuword64(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fuword64)
 	clr	%o1
 	ldxa	[%o0]ASI_USER, %o1
@@ -553,17 +333,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fuword64)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-dtrace_getupcstack_top(uint64_t *pcstack, int pcstack_limit, uintptr_t *sp)
-{ return (0); }
-
-#else
-
 	/*
 	 * %g1	pcstack
 	 * %g2	current window
@@ -628,17 +397,6 @@
 	nop
 	SET_SIZE(dtrace_getupcstack_top)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-dtrace_getustackdepth_top(uintptr_t *sp)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_getustackdepth_top)
 	mov	%o0, %o2
 	rdpr	%otherwin, %o0
@@ -669,17 +427,6 @@
 	nop
 	SET_SIZE(dtrace_getustackdepth_top)
 
-#endif
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-ulong_t
-dtrace_getreg_win(uint_t reg, uint_t depth)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(dtrace_getreg_win)
 	sub	%o0, 16, %o0
 	cmp	%o0, 16			! %o0 must begin in the range [16..32)
@@ -735,17 +482,6 @@
 	mov	%i7, %g1
 	SET_SIZE(dtrace_getreg_win)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-dtrace_putreg_win(uint_t reg, ulong_t value)
-{}
-
-#else	/* lint */
-
 	ENTRY(dtrace_putreg_win)
 	sub	%o0, 16, %o0
 	cmp	%o0, 16			! %o0 must be in the range [16..32)
@@ -802,18 +538,6 @@
 	mov	%g1, %i7
 	SET_SIZE(dtrace_putreg_win)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-dtrace_probe_error(dtrace_state_t *state, dtrace_epid_t epid, int which,
-    int fault, int fltoffs, uintptr_t illval)
-{}
-
-#else	/* lint */
-
 	ENTRY(dtrace_probe_error)
 	save	%sp, -SA(MINFRAME), %sp
 	sethi	%hi(dtrace_probeid_error), %l0
@@ -828,4 +552,3 @@
 	restore
 	SET_SIZE(dtrace_probe_error)
 
-#endif
--- old/usr/src/uts/sparc/ml/fd_asm.s	Thu Nov 14 19:00:30 2019
+++ new/usr/src/uts/sparc/ml/fd_asm.s	Thu Nov 14 19:00:30 2019
@@ -32,18 +32,6 @@
  * dreaded "Empty translation unit"  warning.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-
-/*ARGSUSED*/
-u_int
-fd_intr(caddr_t arg)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 #include <sys/asm_linkage.h>
 #include <sys/fdreg.h>
 #include <sys/fdvar.h>
@@ -356,4 +344,3 @@
 	nop
 
 
-#endif  /* lint */
--- old/usr/src/uts/sparc/ml/ip_ocsum.s	Thu Nov 14 19:00:30 2019
+++ new/usr/src/uts/sparc/ml/ip_ocsum.s	Thu Nov 14 19:00:30 2019
@@ -28,10 +28,6 @@
 
 #include <sys/asm_linkage.h>
 
-#if defined(lint)
-#include <sys/types.h>
-#endif	/* lint */
-
 /*
  * ip_ocsum(address, halfword_count, sum)
  * Do a 16 bit one's complement sum of a given number of (16-bit)
@@ -43,15 +39,6 @@
  *
  */
 
-#if defined(lint) 
-
-/* ARGSUSED */
-unsigned int
-ip_ocsum(u_short *address, int halfword_count, unsigned int sum)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(ip_ocsum)
 	cmp	%o1, 31		! less than 62 bytes?
 	bl,a	.dohw		!   just do halfwords
@@ -124,4 +111,3 @@
 	addxcc	%o2, 0, %o0	! add in carry if any. result in %o0
 	SET_SIZE(ip_ocsum)
 
-#endif 	/* lint */
--- old/usr/src/uts/sparc/ml/modstubs.s	Thu Nov 14 19:00:31 2019
+++ new/usr/src/uts/sparc/ml/modstubs.s	Thu Nov 14 19:00:31 2019
@@ -25,18 +25,10 @@
  * Copyright (c) 2017, Joyent, Inc. All rights reserved.
  */
 
-#if !defined(lint)
 #include "assym.h"
-#endif /* !lint */
 
 #include <sys/asm_linkage.h>
 
-#if defined(lint)
-
-char stubs_base[1], stubs_end[1];
-
-#else	/* lint */
-
 /*
  * WARNING: there is no check for forgetting to write END_MODULE,
  * and if you do, the kernel will most likely crash.  Be careful
@@ -1284,4 +1276,3 @@
 stubs_end:
 	nop
 
-#endif	/* lint */
--- old/usr/src/uts/sparc/ml/sparc_ddi.s	Thu Nov 14 19:00:31 2019
+++ new/usr/src/uts/sparc/ml/sparc_ddi.s	Thu Nov 14 19:00:31 2019
@@ -32,15 +32,6 @@
  * These routines should ONLY be ISA-dependent.
  */
 
-#if defined(lint)
-
-#include <sys/types.h>
-#include <sys/systm.h>
-#include <sys/file.h>
-#include <sys/sunddi.h>
-
-#else	/* lint */
-
 #include <sys/asm_linkage.h>
 #include <sys/clock.h>
 #include <sys/intreg.h>
@@ -47,9 +38,7 @@
 
 #include "assym.h"		/* for FKIOCTL etc. */
 
-#endif	/* lint */
 
-
 /*
  * Layered driver routines.
  *
@@ -72,18 +61,6 @@
 	call	routine;	\
 	mov	%g1, %o7
 
-#ifdef	lint
-
-int
-ddi_copyin(const void *buf, void *kernbuf, size_t size, int flags)
-{
-	if (flags & FKIOCTL)
-		return (kcopy(buf, kernbuf, size) ? -1 : 0);
-	return (copyin(buf, kernbuf, size));
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_copyin)
 	set	FKIOCTL, %o4
 	andcc	%o3, %o4, %g0
@@ -104,20 +81,6 @@
 	restore
 	SET_SIZE(ddi_copyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-int
-ddi_copyout(const void *buf, void *kernbuf, size_t size, int flags)
-{
-	if (flags & FKIOCTL)
-		return (kcopy(buf, kernbuf, size) ? -1 : 0);
-	return (copyout(buf, kernbuf, size));
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_copyout)
 	set	FKIOCTL, %o4
 	andcc	%o3, %o4, %g0
@@ -126,24 +89,11 @@
 	/*NOTREACHED*/
 	SET_SIZE(ddi_copyout)
 
-#endif	/* lint */
-
 /*
  * DDI spine wrapper routines - here so as to not have to
  * buy register windows when climbing the device tree (which cost!)
  */
 
-#if	defined(lint)
-
-/*ARGSUSED*/
-int
-ddi_ctlops(dev_info_t *d, dev_info_t *r, ddi_ctl_enum_t op, void *a, void *v)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_ctlops)
 	tst	%o0		! dip != 0?
 	be,pn	%ncc, 2f	! nope
@@ -162,20 +112,6 @@
 	sub	%g0, 1, %o0	! return (DDI_FAILURE);
 	SET_SIZE(ddi_ctlops)
 
-#endif	/* lint */
-
-#if	defined(lint)
-
-/* ARGSUSED */
-int
-ddi_dma_allochdl(dev_info_t *dip, dev_info_t *rdip, ddi_dma_attr_t *attr,
-	int (*waitfp)(caddr_t), caddr_t arg, ddi_dma_handle_t *handlep)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_dma_allochdl)
 	ldn	[%o0 + DEVI_BUS_DMA_ALLOCHDL], %o0
 			! dip = (dev_info_t *)DEVI(dip)->devi_bus_dma_allochdl;
@@ -187,19 +123,6 @@
 	nop			! as if we had never been here
 	SET_SIZE(ddi_dma_allochdl)
 
-#endif	/* lint */
-
-#if	defined(lint)
-
-/* ARGSUSED */
-int
-ddi_dma_freehdl(dev_info_t *dip, dev_info_t *rdip, ddi_dma_handle_t handlep)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_dma_freehdl)
 	ldn	[%o0 + DEVI_BUS_DMA_FREEHDL], %o0
 			! dip = (dev_info_t *)DEVI(dip)->devi_bus_dma_freehdl;
@@ -211,21 +134,6 @@
 	nop			! as if we had never been here
 	SET_SIZE(ddi_dma_freehdl)
 
-#endif	/* lint */
-
-#if	defined(lint)
-
-/* ARGSUSED */
-int
-ddi_dma_bindhdl(dev_info_t *dip, dev_info_t *rdip,
-	ddi_dma_handle_t handle, struct ddi_dma_req *dmareq,
-	ddi_dma_cookie_t *cp, u_int *ccountp)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_dma_bindhdl)
 	ldn	[%o0 + DEVI_BUS_DMA_BINDHDL], %o0
 			! dip = (dev_info_t *)DEVI(dip)->devi_bus_dma_bindhdl;
@@ -237,20 +145,6 @@
 	nop			! as if we had never been here
 	SET_SIZE(ddi_dma_bindhdl)
 
-#endif	/* lint */
-
-#if	defined(lint)
-
-/* ARGSUSED */
-int
-ddi_dma_unbindhdl(dev_info_t *dip, dev_info_t *rdip,
-	ddi_dma_handle_t handle)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_dma_unbindhdl)
 	ldn	[%o0 + DEVI_BUS_DMA_UNBINDHDL], %o0
 			! dip = (dev_info_t *)DEVI(dip)->devi_bus_dma_unbindhdl;
@@ -262,21 +156,6 @@
 	nop			! as if we had never been here
 	SET_SIZE(ddi_dma_unbindhdl)
 
-#endif	/* lint */
-
-#if	defined(lint)
-
-/* ARGSUSED */
-int
-ddi_dma_flush(dev_info_t *dip, dev_info_t *rdip,
-	ddi_dma_handle_t handle, off_t off, size_t len,
-	u_int cache_flags)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_dma_flush)
 	ldn	[%o0 + DEVI_BUS_DMA_FLUSH], %o0
 			! dip = (dev_info_t *)DEVI(dip)->devi_bus_dma_flush;
@@ -288,21 +167,6 @@
 	nop			! as if we had never been here
 	SET_SIZE(ddi_dma_flush)
 
-#endif	/* lint */
-
-#if	defined(lint)
-
-/* ARGSUSED */
-int
-ddi_dma_win(dev_info_t *dip, dev_info_t *rdip,
-	ddi_dma_handle_t handle, uint_t win, off_t *offp,
-	size_t *lenp, ddi_dma_cookie_t *cookiep, uint_t *ccountp)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_dma_win)
 	ldn	[%o0 + DEVI_BUS_DMA_WIN], %o0
 			! dip = (dev_info_t *)DEVI(dip)->devi_bus_dma_win;
@@ -314,19 +178,6 @@
 	nop			! as if we had never been here
 	SET_SIZE(ddi_dma_win)
 
-#endif	/* lint */
-
-#if	defined(lint)
-
-/* ARGSUSED */
-int
-ddi_dma_sync(ddi_dma_handle_t h, off_t o, size_t l, u_int whom)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_dma_sync)
 	ld	[%o0 + DMA_HANDLE_RFLAGS], %o4	! hp->dmai_rflags;
 	sethi	%hi(DMP_NOSYNC), %o5
@@ -351,19 +202,6 @@
 	nop			! as if we had never been here
 	SET_SIZE(ddi_dma_sync)
 
-#endif	/* lint */
-
-#if	defined(lint)
-
-/* ARGSUSED */
-int
-ddi_dma_unbind_handle(ddi_dma_handle_t h)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_dma_unbind_handle)
 	ldn	[%o0 + DMA_HANDLE_RDIP], %o1	! dip = hp->dmai_rdip;
 	mov	%o0, %o2
@@ -374,22 +212,7 @@
 		    ! hdip = (dev_info_t *)DEVI(dip)->devi_bus_dma_unbindhdl;
 	SET_SIZE(ddi_dma_unbind_handle)
 
-#endif	/* lint */
 
-
-#if	defined(lint)
-
-/*ARGSUSED*/
-int
-ddi_dma_mctl(register dev_info_t *dip, dev_info_t *rdip,
-    ddi_dma_handle_t handle, enum ddi_dma_ctlops request,
-    off_t *offp, size_t *lenp, caddr_t *objp, u_int flags)
-{
-	return (DDI_SUCCESS);
-}
-
-#else	/* lint */
-
 	ENTRY(ddi_dma_mctl)
 	ldn	[%o0 + DEVI_BUS_DMA_CTL], %o0
 			! dip = (dev_info_t *)DEVI(dip)->devi_bus_dma_ctl;
@@ -400,4 +223,3 @@
 	nop			! as if we had never been here
 	SET_SIZE(ddi_dma_mctl)
 
-#endif	/* lint */
--- old/usr/src/uts/sparc/v9/ml/crt.s	Thu Nov 14 19:00:31 2019
+++ new/usr/src/uts/sparc/v9/ml/crt.s	Thu Nov 14 19:00:31 2019
@@ -25,12 +25,6 @@
 
 #ident	"%Z%%M%	%I%	%E% SMI"	/* From SunOS 4.1 1.6 */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/regset.h>
-#include <sys/privregs.h>
-#endif  /* lint */
-
 #include <sys/asm_linkage.h>
 #include <sys/trap.h>
 #include <sys/machtrap.h>
@@ -43,8 +37,6 @@
  *	get lint prototypes.
  */
 
-#if !defined(lint)
-
 /*
  * Structure return
  */
@@ -158,4 +150,3 @@
 	srax	%o1, 32, %o0
 	SET_SIZE(__urem64)
 
-#endif /* !lint */
